# EngineInfo Struct Reference

Information about a vehicle. More...

`#include <engine_type.h>`

## Data Fields
Date | base_intro
Year | lifelength
Year | base_life
byte | decay_speed
byte | load_amount
byte | climates
uint32 | refit_mask
byte | refit_cost
byte | misc_flags
byte | callbackmask
int8 | retire_early
| Number of years early to retire vehicle.
StringID | string_id
| Default name of engine.

## Detailed Description

Information about a vehicle.

See also:
  table/engines.h

Definition at line 111 of file engine_type.h.

The documentation for this struct was generated from the following file:

- src/engine_type.h